Cocoon API: Class XSPJavaProcessor

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.language.java
Class XSPJavaProcessor

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.language.java.XSPJavaProcessor

All Implemented Interfaces:
  Configurable, XSPLanguageProcessor

public class XSPJavaProcessor
extends java.lang.Object
implements XSPLanguageProcessor, Configurable

Version:
  $Revision: 1.12 $ $Date: 2000/10/24 02:20:37 $
Author:
  Ricardo Rocha

Field Summary
`protected XSPClassLoader` | `classLoader`
`protected java.lang.String` | `classpath`
`protected java.lang.String` | `encoding`
`protected boolean` | `format`
`protected JavaCompiler` | `javac`
`protected java.io.File` | `repository`

Constructor Summary
`XSPJavaProcessor()`

Method Summary
`static java.lang.String` | `className(java.lang.String filename)`
`void` | `compile(java.lang.String filename)`
`java.lang.String` | `formatCode(java.lang.String code)`
`java.lang.String` | `getObjectExtension()`
`java.lang.String` | `getSourceExtension()`
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.
`XSPPage` | `load(java.lang.String filename)`
`static java.lang.String` | `packageName(java.lang.String filename)`
`void` | `setClassPath(java.lang.String classpath)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setFormatOption(boolean format)`
`void` | `setRepository(java.io.File repository)`
`java.lang.String` | `stringEncode(java.lang.String string)`
`void` | `unload(XSPPage page)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repository

    protected java.io.File repository

### encoding

    protected java.lang.String encoding

### classLoader

    protected XSPClassLoader classLoader

### javac

    protected JavaCompiler javac

### classpath

    protected java.lang.String classpath

### format

    protected boolean format

Constructor Detail

### XSPJavaProcessor

    public XSPJavaProcessor()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Specified by:
    `init` in interface `Configurable`

### getSourceExtension

    public java.lang.String getSourceExtension()

  Specified by:
    `getSourceExtension` in interface `XSPLanguageProcessor`

### getObjectExtension

    public java.lang.String getObjectExtension()

  Specified by:
    `getObjectExtension` in interface `XSPLanguageProcessor`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `XSPLanguageProcessor`

### setRepository

    public void setRepository(java.io.File repository)
                       throws java.lang.Exception

  Specified by:
    `setRepository` in interface `XSPLanguageProcessor`

### setFormatOption

    public void setFormatOption(boolean format)

  Specified by:
    `setFormatOption` in interface `XSPLanguageProcessor`

### formatCode

    public java.lang.String formatCode(java.lang.String code)
                                throws java.lang.Exception

  Specified by:
    `formatCode` in interface `XSPLanguageProcessor`

### setClassPath

    public void setClassPath(java.lang.String classpath)

  Specified by:
    `setClassPath` in interface `XSPLanguageProcessor`

### compile

    public void compile(java.lang.String filename)
                 throws java.lang.Exception

  Specified by:
    `compile` in interface `XSPLanguageProcessor`

### load

    public XSPPage load(java.lang.String filename)
                 throws java.lang.Exception

  Specified by:
    `load` in interface `XSPLanguageProcessor`

### unload

    public void unload(XSPPage page)
                throws java.lang.Exception

  Specified by:
    `unload` in interface `XSPLanguageProcessor`

### className

    public static java.lang.String className(java.lang.String filename)

### packageName

    public static java.lang.String packageName(java.lang.String filename)

### stringEncode

    public java.lang.String stringEncode(java.lang.String string)

  Specified by:
    `stringEncode` in interface `XSPLanguageProcessor`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.